{ ... }:
{
  fileSystems = {
    "/" = {
      device = "/dev/disk/by-uuid/e50e186d-e5bc-40b0-9cd7-43b609cde3ea";
      fsType = "btrfs";
      options = [ "subvol=root" ];
    };
    "/prev" = {
      device = "/dev/disk/by-uuid/e50e186d-e5bc-40b0-9cd7-43b609cde3ea";
      fsType = "btrfs";
      options = [ "subvol=prev" ];
    };
    "/nix" = {
      device = "/dev/disk/by-uuid/e50e186d-e5bc-40b0-9cd7-43b609cde3ea";
      fsType = "btrfs";
      options = [ "subvol=nix" ];
    };
    "/boot" = {
      device = "/dev/disk/by-uuid/7C94-8C9A";
      fsType = "vfat";
      options = [ "umask=0077" ];
    };

    # To be removed
    "/home" = {
      device = "/dev/disk/by-uuid/e50e186d-e5bc-40b0-9cd7-43b609cde3ea";
      fsType = "btrfs";
      options = [ "subvol=@home" ];
    };
    "/var" = {
      device = "/dev/disk/by-uuid/e50e186d-e5bc-40b0-9cd7-43b609cde3ea";
      fsType = "btrfs";
      options = [ "subvol=@var" ];
    };

    # Impermanence and subvols
    "/persist" = {
      device = "/dev/disk/by-uuid/e50e186d-e5bc-40b0-9cd7-43b609cde3ea";
      fsType = "btrfs";
      neededForBoot = true;
      options = [ "subvol=persist" ];
    };
    "/export/Bulk" = {
      device = "/dev/disk/by-uuid/ef465845-cc56-4db5-9260-8ae515eb025e";
      fsType = "btrfs";
      noCheck = true;
    };
  };

  swapDevices = [
    { device = "/dev/disk/by-uuid/7e8c773d-c8f4-4dd8-a835-bde78e5b6760"; }
  ];
}
